package com.ejie.ad74a.ws.client.prestadorWS.operaciones;

import javax.xml.datatype.DatatypeConfigurationException;

import com.ejie.ad74a.model.Solicitantes;
import com.ejie.ad74a.util.comun.UtilidadesFecha;
import com.ejie.ad74a.ws.client.prestadorWS.data.DatosBajaType;
import com.ejie.ad74a.ws.client.prestadorWS.service.ParseUtils;

public class OpBajaPersonaBeneficiaria extends OpComunes {

	public static DatosBajaType getDatosBajaType(Solicitantes solicitante, int motivoBaja, String observaciones)
			throws DatatypeConfigurationException {
		DatosBajaType datosBajaType = new DatosBajaType();
		// motivosBaja
		datosBajaType.setMotivosBaja(ParseUtils.parseInt2MotivosBajaEnum(motivoBaja));
		// observaciones
		datosBajaType.setObservaciones(observaciones);
		// fBaja
		datosBajaType.setFBaja(UtilidadesFecha.parseDate2XMLGregorianCalendar(solicitante.getfBaja01()));
		return datosBajaType;
	}
}
